Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.stack
Interface Retransmitter.RetransmitCommand

All Known Implementing Classes:
  AckSenderWindow, NAKACK, UNICAST2

Enclosing class:
  Retransmitter

    public static interface Retransmitter.RetransmitCommand

Retransmit command (see Gamma et al.) used to retrieve missing messages

Method Summary
`void` | `retransmit(long first_seqno, long last_seqno, Address sender)` Get the missing messages between sequence numbers `first_seqno` and `last_seqno`.

Method Detail

### retransmit

    void retransmit(long first_seqno,
                    long last_seqno,
                    Address sender)

  Get the missing messages between sequence numbers `first_seqno` and `last_seqno`. This can either be done by sending a retransmit message to destination `sender` (nak-based scheme), or by retransmitting the missing message(s) to `sender` (ack-based scheme).

  Parameters:
    `first_seqno` - The sequence number of the first missing message
    `last_seqno` - The sequence number of the last missing message
    `sender` - The destination of the member to which the retransmit request will be sent (nak-based scheme), or to which the message will be retransmitted (ack-based scheme).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.